/*
 * hst_opencl.h
 * This file is part of PyHST
 *
 * Copyright (C) 2011 - Matthias Vogelgesang
 * Copyright (C) 2002-2008 the European Synchrotron Radiation Facility (ESRF).
 *
 * PyHST is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PyHST is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _PYHST_OPENCL_H
#define _PYHST_OPENCL_H

#ifdef __cplusplus
extern "C" {
#endif

HSTReconstructor *hst_opencl_init(int flags);
void hst_opencl_free(void);

#ifdef __cplusplus
}
#endif

#endif /* _PYHST_OPENCL_H */

